la installation del compositor no funciona en mi git repo

Tengo el siguiente repository:

https://github.com/latheesan-k/laravel-xero y el compositor de mi proyecto.json

En mi PC, tengo una carpeta llamada test y dentro de ella un file llamado composer.json con los siguientes contenidos:

 { "require": { "latheesan-k/laravel-xero": "dev-master" }, "minimum-stability": "dev" } 

Ahora cuando cambio a este directory y ejecuto el command composer install , obtengo el siguiente error:

El package solicitado latheesan-k / laravel-xero no se pudo encontrar en ninguna versión, puede haber un error tipográfico en el nombre del package.

enter image description here

¿Estoy haciendo esto incorrectamente? Incluso intenté agregarlo al sitio packagist y parece que no funciona. ¿Alguna idea de lo que podría extrañar aquí?

Para horquillas y testings, no use packagist. En su lugar, use un repository VCS.

Aquí se muestra cómo usarlos: https://getcomposer.org/doc/05-repositories.md#vcs . También repositorys privados son posibles.

Para su caso, use esto en su composer.json :

 "repositories": [ { "type": "vcs", "url": "https://github.com/latheesan-k/laravel-xero" } ], "require": { "laravel/framework": "4.2.*", "latheesan-k/laravel-xero": "dev-master" }, 

Esto no requerirá que el empaquetador pueda eliminarlo.